---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/librawmonitor.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52320, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54260, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54650, symBinAddr: 0xE630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x555F0, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55600, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _access_lock, symObjAddr: 0x6CD00, symBinAddr: 0x26CE0, symSize: 0x0 }
  - { offsetInCU: 0x7E9, offset: 0x7E9, size: 0x8, addend: 0x0, symName: _access_lock_not_entered, symObjAddr: 0x6CD08, symBinAddr: 0x26CE8, symSize: 0x0 }
  - { offsetInCU: 0x7FE, offset: 0x7FE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x6CD10, symBinAddr: 0x26CF0, symSize: 0x0 }
  - { offsetInCU: 0x8DD3, offset: 0x8DD3, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x6CD18, symBinAddr: 0x26CF8, symSize: 0x0 }
  - { offsetInCU: 0x8DE8, offset: 0x8DE8, size: 0x8, addend: 0x0, symName: _main_thread, symObjAddr: 0x6CD20, symBinAddr: 0x26D00, symSize: 0x0 }
  - { offsetInCU: 0x8DFD, offset: 0x8DFD, size: 0x8, addend: 0x0, symName: _jraw_monitor, symObjAddr: 0x6CD30, symBinAddr: 0x26D10, symSize: 0x0 }
  - { offsetInCU: 0x8E1E, offset: 0x8E1E, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x6CDD0, symBinAddr: 0x26DB0, symSize: 0x0 }
  - { offsetInCU: 0x8E33, offset: 0x8E33, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51E60, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8E3E, offset: 0x8E3E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51E64, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8E49, offset: 0x8E49, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51E68, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E8E, offset: 0x8E8E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51FC0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8F07, offset: 0x8F07, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52078, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8F25, offset: 0x8F25, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5207C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8F3E, offset: 0x8F3E, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52080, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F57, offset: 0x8F57, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52084, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8F70, offset: 0x8F70, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52088, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52090, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x9012, offset: 0x9012, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x520A8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x902B, offset: 0x902B, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x520B0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9044, offset: 0x9044, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x520B8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x905D, offset: 0x905D, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x520C0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9077, offset: 0x9077, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x520C8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x915D, offset: 0x915D, size: 0x8, addend: 0x0, symName: __ZL12process_once, symObjAddr: 0xE4B8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x9176, offset: 0x9176, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x52110, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x918F, offset: 0x918F, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x52248, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x91E1, offset: 0x91E1, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3F70, symSize: 0x80 }
  - { offsetInCU: 0x9276, offset: 0x9276, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3EC0, symSize: 0xB0 }
  - { offsetInCU: 0x92D1, offset: 0x92D1, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3DC0, symSize: 0x100 }
  - { offsetInCU: 0x9564, offset: 0x9564, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3FF0, symSize: 0x220 }
  - { offsetInCU: 0x9749, offset: 0x9749, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4210, symSize: 0xA0 }
  - { offsetInCU: 0x97FC, offset: 0x97FC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x42B0, symSize: 0x110 }
  - { offsetInCU: 0x98F2, offset: 0x98F2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x43C0, symSize: 0x150 }
  - { offsetInCU: 0x9A6F, offset: 0x9A6F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4510, symSize: 0x30 }
  - { offsetInCU: 0x9B30, offset: 0x9B30, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4540, symSize: 0x150 }
  - { offsetInCU: 0x9D28, offset: 0x9D28, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4690, symSize: 0x160 }
  - { offsetInCU: 0x9EB4, offset: 0x9EB4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x47F0, symSize: 0x1B0 }
  - { offsetInCU: 0xA0CF, offset: 0xA0CF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x49A0, symSize: 0xA0 }
  - { offsetInCU: 0xA19E, offset: 0xA19E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4A40, symSize: 0x20 }
  - { offsetInCU: 0xA1D5, offset: 0xA1D5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4A60, symSize: 0x20 }
  - { offsetInCU: 0xA20C, offset: 0xA20C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4A80, symSize: 0x20 }
  - { offsetInCU: 0xA39B, offset: 0xA39B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4AA0, symSize: 0x1A0 }
  - { offsetInCU: 0xA6C1, offset: 0xA6C1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4C40, symSize: 0x80 }
  - { offsetInCU: 0xA78A, offset: 0xA78A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4CC0, symSize: 0x6A0 }
  - { offsetInCU: 0xB31F, offset: 0xB31F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6A0, symBinAddr: 0x64A0, symSize: 0xB0 }
  - { offsetInCU: 0xB396, offset: 0xB396, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5360, symSize: 0x70 }
  - { offsetInCU: 0xB452, offset: 0xB452, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x53D0, symSize: 0xA0 }
  - { offsetInCU: 0xB55D, offset: 0xB55D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5470, symSize: 0x40 }
  - { offsetInCU: 0xB653, offset: 0xB653, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x54B0, symSize: 0x2B0 }
  - { offsetInCU: 0xB9F9, offset: 0xB9F9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5760, symSize: 0xC0 }
  - { offsetInCU: 0xBB3F, offset: 0xBB3F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5820, symSize: 0x10 }
  - { offsetInCU: 0xBC01, offset: 0xBC01, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5830, symSize: 0x220 }
  - { offsetInCU: 0xBEFE, offset: 0xBEFE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5A50, symSize: 0x10 }
  - { offsetInCU: 0xBF5B, offset: 0xBF5B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5A60, symSize: 0x410 }
  - { offsetInCU: 0xC51D, offset: 0xC51D, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0xA030, symBinAddr: 0x5E80, symSize: 0xC0 }
  - { offsetInCU: 0xC551, offset: 0xC551, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA020, symBinAddr: 0x5E70, symSize: 0x10 }
  - { offsetInCU: 0xC5CE, offset: 0xC5CE, size: 0x8, addend: 0x0, symName: _vmStart, symObjAddr: 0xA0F0, symBinAddr: 0x5F40, symSize: 0x70 }
  - { offsetInCU: 0xC67E, offset: 0xC67E, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0xA160, symBinAddr: 0x5FB0, symSize: 0xB0 }
  - { offsetInCU: 0xC73F, offset: 0xC73F, size: 0x8, addend: 0x0, symName: _vmExit, symObjAddr: 0xA210, symBinAddr: 0x6060, symSize: 0x20 }
  - { offsetInCU: 0xC7A4, offset: 0xC7A4, size: 0x8, addend: 0x0, symName: _classFileLoadHookEvent, symObjAddr: 0xA230, symBinAddr: 0x6080, symSize: 0x240 }
  - { offsetInCU: 0xCA2A, offset: 0xCA2A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_rawmonitor_GetResult, symObjAddr: 0xA4C0, symBinAddr: 0x62C0, symSize: 0x10 }
  - { offsetInCU: 0xCA61, offset: 0xCA61, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_rawmonitor_CreateRawMonitor, symObjAddr: 0xA4D0, symBinAddr: 0x62D0, symSize: 0xB0 }
  - { offsetInCU: 0xCB15, offset: 0xCB15, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_rawmonitor_RawMonitorEnter, symObjAddr: 0xA580, symBinAddr: 0x6380, symSize: 0x60 }
  - { offsetInCU: 0xCBA8, offset: 0xCBA8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_rawmonitor_RawMonitorExit, symObjAddr: 0xA5E0, symBinAddr: 0x63E0, symSize: 0x60 }
  - { offsetInCU: 0xCC3B, offset: 0xCC3B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_rawmonitor_RawMonitorWait, symObjAddr: 0xA640, symBinAddr: 0x6440, symSize: 0x60 }
  - { offsetInCU: 0xCCDC, offset: 0xCCDC, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA750, symBinAddr: 0x6550, symSize: 0x36A }
...
